MAILPOST(8)

NAME
mailpost - feed an email message into a news group

SYNOPSIS
mailpost [-a addr] [-b database] [-c wait-time] [-d distribution] [-f addr] [-m mailing-list] [-p port] [-r addr] [-x header[:header...]] [newsgroups ...]

DESCRIPTION
The mailpost program reads a properly formatted email message from stdin and feeds it to inews for posting to a news server. newsgroups is a whitespace-separated list of group names to which to post the article.

Before feeding the article to inews, it checks that the article has not been seen before, and it changes some headers (cleans up some address headers and puts ``X-'' in front of unknown headers).

If the article has been seen before (mailpost records the message-id of each articles it handles), then the article will be silently dropped. Other errors will cause the article to be mailed to the newsmaster.

Normally mailpost is run by sendmail(8) via an alias entry:

local-mail-wreck-bikes: "|<pathbin in inn.conf>/mailpost
         -d local local.mail.rec.bicycles.racing"

OPTIONS

-a addr
    If the -a flag is used the value given is added to the article as an Approved header.

-b database
    If the -b flag is used, then it defines the location of the database used to store the message ids of articles sent on. This is to prevent articles looping around if a news to mail gateway sends them back here. This option may be required if the mailpost process doesn't have write access to the news tmp directory (the value of pathtmp in inn.conf(5)).

-c wait-time
    The -c flag indicates a length of time to sleep before posting. If duplicate messages are received in this interval (by any instance of mailpost using the same database), the article is only posted once, but with Newsgroups: header modified to crosspost the article to all indicated groups.

-d distribution
    If the -d flag is used the value given is added to the article as a Distribution: header.

-f addr
    The -f flag is a synonym for the -r flag.

-m mailing-list
    If the -m flag is used the value given is added to the articles in a Mailing-List: header, if such a header doesn't already exist.

-p port
    Specifies the port on which nnrpd is listening, used for article posting. If given, -p is passed along to inews.

-r addr
    A heuristic is used to determine a reasonable value for the Path: header. The -r flag indicates what to use if no other value can be determined.

-x header[:header...]
    A colon-separated list of additional headers which should be treated as known headers; these headers will be passed through to inews(1) without having "X-" prepended.

HISTORY
Written by Paul Vixie long ago and then hacked up by James Brister for INN integration.

$Id: mailpost.8,v 1.8.2.1 2004/01/25 23:44:19 rra Exp $

FILES
<pathdb in inn.conf>/mailpost-msgid.db    database file

BUGS
Is lacking in configurability.

SEE ALSO
active(5), inn.conf(5), nnrpd(8), uwildmat(3).